@import "@styles/base/colors";
@import "@styles/base/typography.scss";

.input-container {
  width: 100%;
  max-width: 344px;
  height: 65px;
  display: flex;
  flex-direction: column;
  position: relative;
  background: $whiteColor;
  border: 1px solid $greyColor;
  border-radius: 10px;

  .input-wrap {
    padding: 0 8px;
  }

  .password-eye-wrapper {
    display: none;
    position: absolute;
    right: 8px;
    top: 4px;
    line-height: 0;

    .password-eye {
      padding: 0;
      line-height: 14px;
      background: none;
      border: none;
      outline: none;

      &:hover,
      &:active,
      &:focus,
      &:active:focus {
        background-color: transparent;
        box-shadow: none;
      }

      //&.visible {
      //  svg {
      //    path {
      //      stroke: $primaryTextColor;
      //    }
      //  }
      //}
    }
  }
}

.label-wrapper {
  display: flex;
  @include font($fontGotham, 16px, 19.2px);
  color: $greyText !important;
  margin-bottom: 0;
  transition: all 0.3s;
  pointer-events: none;
}

.label-secondary {
  @include font($fontGotham, 14px, 16.8px);
  color: $greyColor !important;

  & label {
    margin-bottom: 5px;
  }
}

.info-label {
  margin-left: 10px;
  pointer-events: initial !important;
}

.input-label {
  pointer-events: none;
}

.error {
  position: absolute;
  top: -5px;
  left: 0;
  width: max-content;
  z-index: 1;
  color: $errorColor;
}

.input {
  width: 100%;
  height: auto !important;
  padding: 20px 0 16px 17px !important;
  border: none !important;
  @include font($fontGotham, 18px, 21.6px);
  color: $blackColor !important;
  font-size: 18px !important;
  line-height: 21.6px !important;

  white-space: nowrap;
  overflow: hidden;
  -o-text-overflow: ellipsis;
  -ms-text-overflow: ellipsis;
  text-overflow: ellipsis;

  &::placeholder {
    @include font($fontGothamLight, 18px, 21.6px);
    color: $greyColor !important;
  }

  &:-webkit-autofill,
  &:-webkit-autofill:hover,
  &:-webkit-autofill:focus,
  &:-webkit-autofill:active {
    -webkit-box-shadow: 0 0 0 1000px white inset !important;
  }

  &:focus,
  &:active {
    outline: none !important;
    box-shadow: 0 0 0 1000px white inset !important;
  }

  &:disabled {
    background-color: $greyColor !important;
    color: $greyColor !important;
  }
}

.invalidContainer {
  border-bottom: 1px solid $errorColor !important;
}

.invalidLabel {
  color: $errorColor !important;
}
